package com.jsowell.common.enums.thirdparty;

/**
 * 业务信息交换enum
 */
public enum BusinessInformationExchangeEnum {
    NOTIFICATION_STATION_STATUS("notification_stationStatus", "设备状态变化推送"),
    NOTIFICATION_STATION_INFO("notification_stationInfo", "充电站信息变化推送"),
    NOTIFICATION_CHARGE_ORDER_INFO("notification_charge_order_info", "推送充电订单信息"),
    NOTIFICATION_START_CHARGE_RESULT("notification_start_charge_result", "推送启动充电结果"),
    NOTIFICATION_EQUIP_CHARGE_STATUS("notification_equip_charge_status", "推送充电状态"),
    NOTIFICATION_STOP_CHARGE_RESULT("notification_stop_charge_result", "推送停止充电结果"),
    NOTIFICATION_BMS_INFO("notification_bmsInfo", "过程信息推送"),
    CHECK_CHARGE_ORDERS("check_charge_orders", "推送订单对账结果信息"),
    ;
    private String value;

    private String label;

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    BusinessInformationExchangeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }
}
